<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F2F2F2"
    android:orientation="vertical">

    <include layout="@layout/shoppingcart_title" />
    <!--无商品时的布局-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="160dp"
        android:orientation="vertical">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:src="@drawable/cart" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="10dp"
            android:text="Cart is Empty ~"
            android:textColor="#B5B5B5"
            android:textSize="20sp" />

        <Button
            android:id="@+id/random_search"
            android:layout_width="180dp"
            android:layout_height="50dp"
            android:layout_gravity="center"
            android:layout_marginTop="25dp"
            android:background="@drawable/button_login"
            android:text="go shopping..."
            android:textColor="#fff"
            android:textSize="18sp" />

    </LinearLayout>

</LinearLayout>